unit RunOnce;

interface

implementation

uses Windows, Dialogs, SysUtils;

var
  mHandle: THandle;    // Mutexhandle

initialization
  mHandle := CreateMutex(nil, True, 'Relaisboard Client');

  if GetLastError = ERROR_ALREADY_EXISTS then
  begin
    ShowMessage('Anwendung luft bereits!');
    Halt;
  end;

finalization
  if mHandle <> 0 then
    CloseHandle(mHandle)
end.
